"use strict";

const pageMod = require("page-mod");
const tabs = require("tabs");

exports.testRelatedTab = function(test) {
  test.waitUntilDone();
  
  let htmlFile = require("self").data.url("test-jquery.html");
  let tab;
  let pageMod = new require("page-mod").PageMod({
    include: [htmlFile],
    contentScript: "new " + function ContentScriptScope() {
      // Check that basic jquery commands works
      postMessage({
        h1Text : $("h1").text(), 
        inWindowScope: window.isJqueryInWindowScope()
      });
      // And that animations are working too
      $("h1").fadeOut(3000);
    },
    contentScriptFile: require("self").data.url("jquery-1.5.1.js"),
    contentScriptWhen: "ready",
    onAttach: function(worker) {
      worker.on("message", function (data) {
        test.assertEqual(data.h1Text, "my title", "Jquery works");
        test.assert(!data.inWindowScope, "Jquery doesn't pollute document scope");
        require("timer").setTimeout(function () {
          pageMod.destroy();
          tab.close();
          test.done();
        }, 5000);
      });
    }
  });
  
  tabs.open({
    url: htmlFile,
    onOpen: function onOpen(t) {
      tab = t;
    }
  });
  
}
